CC=c99
LD=c99

LDFLAGS+=-ggdb -lm -g
CFLAGS=-c -O2 -ggdb -Wall -g



GENTABLES=GenTables
GENTABLES_O=$(GENTABLES).o

GENCOEFILES=GenCOEFiles
GENCOEFILES_O=$(GENCOEFILES).o


OBJS=  $(GENTABLES_O) $(GENCOEFILES_O) 
PROGS=  $(GENTABLES) $(GENCOEFILES)


all : $(PROGS)

.PHONEY: clean distclean

tables : $(GENTABLES)
	@./$(GENTABLES)

$(GENTABLES) : $(GENTABLES_O)
	$(LD) $(LDFLAGS) $^ -o $@

$(GENCOEFILES) : $(GENCOEFILES_O)
	$(LD) $(LDFLAGS) $^ -o $@

.c.o:
	$(CC) $(CFLAGS) $< -o $@

clean :
	@rm -f $(OBJS) trig_table_lookup_tables.vhd

distclean : clean
	@rm -f $(PROGS)
